Package relaxngcc.codedom

## Class CDClass

- java.lang.Object
- - relaxngcc.codedom.CDType
  - - relaxngcc.codedom.CDClass

-     public class CDClass
      extends CDType

- - ### Field Summary

    - ### Fields inherited from class relaxngcc.codedom.CDType

      `BOOLEAN, INTEGER, STRING, VOID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDClass​(java.lang.String className)` |
    `CDClass​(CDLanguageSpecificString[] declarations, CDLanguageSpecificString fs, java.lang.String name, CDLanguageSpecificString bs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInnerClass​(CDClass innerClass)` | Adds a new inner class.
    `void` | `addLanguageSpecificString​(CDLanguageSpecificString content)` |
    `CDVariable` | `addMember​(CDLanguageSpecificString modifier, CDType type, java.lang.String name)` |
    `CDVariable` | `addMember​(CDLanguageSpecificString modifier, CDType type, java.lang.String name, CDExpression initialValue)` | Adds a new member declaration.
    `void` | `addMethod​(CDMethod methoddef)` |
    `void` | `writeTo​(CDFormatter f)` |
    `void` | `writeType​(CDFormatter f)` | Prints the type name.

    - ### Methods inherited from class relaxngcc.codedom.CDType

      `_new, array, getName, isArray`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDClass

          public CDClass​(java.lang.String className)

    - #### CDClass

          public CDClass​(CDLanguageSpecificString[] declarations,
                         CDLanguageSpecificString fs,
                         java.lang.String name,
                         CDLanguageSpecificString bs)

  - ### Method Detail

    - #### addMember

          public CDVariable addMember​(CDLanguageSpecificString modifier,
                                      CDType type,
                                      java.lang.String name,
                                      CDExpression initialValue)

      Adds a new member declaration.

    - #### addMember

          public CDVariable addMember​(CDLanguageSpecificString modifier,
                                      CDType type,
                                      java.lang.String name)

    - #### addMethod

          public void addMethod​(CDMethod methoddef)

    - #### addLanguageSpecificString

          public void addLanguageSpecificString​(CDLanguageSpecificString content)

    - #### addInnerClass

          public void addInnerClass​(CDClass innerClass)

      Adds a new inner class.

    - #### writeType

          public void writeType​(CDFormatter f)
                         throws java.io.IOException

      Description copied from class: `CDType`
      Prints the type name.
      Overrides:
        `writeType` in class `CDType`
      Throws:
        `java.io.IOException`

    - #### writeTo

          public void writeTo​(CDFormatter f)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`